"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _presetEnv = _interopRequireDefault(require("@babel/preset-env"));

var _presetReact = _interopRequireDefault(require("@babel/preset-react"));

var _pluginProposalClassProperties = _interopRequireDefault(require("@babel/plugin-proposal-class-properties"));

var _pluginProposalPrivateMethods = _interopRequireDefault(require("@babel/plugin-proposal-private-methods"));

var _pluginProposalOptionalChaining = _interopRequireDefault(require("@babel/plugin-proposal-optional-chaining"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _default = (0, _helperPluginUtils.declare)(function (api, opts) {
  api.assertVersion(7);
  var development = opts.development; // If Development mode.

  var presetENVOptions = {
    useBuiltIns: 'usage',
    corejs: {
      version: 3
    },
    shippedProposals: true
  };

  if (development) {
    presetENVOptions.targets = {
      chrome: '80'
    };
  }

  return {
    presets: [[_presetEnv["default"], presetENVOptions], _presetReact["default"]],
    plugins: [_pluginProposalOptionalChaining["default"], _pluginProposalClassProperties["default"], _pluginProposalPrivateMethods["default"]]
  };
});

exports["default"] = _default;